import java.rmi.*;
public class Client {
  public static void main(String[] args) throws Exception {
    // cration de la callback
    DoSomethingCallback callback = new DoSomethingCallback();
    IPushServer serveur = (IPushServer)Naming.lookup("ServerPush");
    System.out.println("dmarrage de l'appel");
    serveur.doSomething("coucou",callback);
    boolean first = true;
    for(int i=1;i<=5;i++) {
      System.out.println(i);
      try {
	Thread.sleep(500);
      } catch (InterruptedException e) {
      }
      System.out.println("Attente du rsultat");
      if(first && callback.isDone()) {
	System.out.print("Le voil : ");
	System.out.println(callback.getResult());
	first = false;
      }
    }
    if(first) {
      System.out.println("Toujours pas de rsultat, on passe en attente passive");
      callback.waitForResult();
      System.out.print("Le voil : ");
      System.out.println(callback.getResult());
    }
    System.out.println("fin du main");
  }
}
