import java.util.Random;
public class DisplayInteger extends Thread {
  private int max;
  private Random rng;
  private boolean actif;
  public DisplayInteger(int n,Random rng) {
    max = n;
    this.rng = rng;
    actif = true;
  }
  public void run() {
    String name = getName();
    for(int i=1;i<=max;i++) {
      synchronized(this) {
	while(!actif) {
	  // attente passive
	  System.out.println("attente passive ("+name+")");
	  try {
	    wait();
	  } catch (InterruptedException e) {
	  }
	}
      }
      System.out.println(name+": "+i);
      try {
	Thread.sleep(Math.abs(rng.nextInt())%1500);
      } catch (InterruptedException e) {
      }
    }
    System.out.println(name+" termin");
  }
  public synchronized void suspendre() {    
    actif = false;
    System.out.println("suspension de "+getName());
  }
  public synchronized void reprendre() {
    actif = true;
    System.out.println("reprise de "+getName());
    notify();
  }
}
