import java.rmi.*;
public class Client {
  public static void main(String[] args) throws Exception {
    // le final est ajout  cause de la classe anonyme
    final IServeur serveur = (IServeur)Naming.lookup("ServeurEcho");
    // solution avec une classe anonyme
    Thread t = new Thread(new Runnable() {
	public void run() {
	  try {
	    System.out.println(serveur.echo("coucou"));
	  } catch(RemoteException e) {
	    System.out.println(e);
	  }
	}
      });
    t.start();
    System.out.println("dmarrage de l'appel");
    for(int i=1;i<=5;i++) {
      System.out.println(i);
      try {
	Thread.sleep(1500);
      } catch (InterruptedException e) {
      }
    }
    System.out.println("fin du main");
  }
}
