import java.rmi.*;
import java.rmi.server.*;
import java.util.*;
public class ServeurLogin extends UnicastRemoteObject 
  implements IServeurLogin {
  private Map passMap;
  private Display display;
  public ServeurLogin() throws RemoteException {
    super();
    passMap = new HashMap();
    display = new Display();
  }
  // mthode locale
  public void addUser(String user,String pass) {
    // ajout d'un utilisateur
    passMap.put(user,pass);
  }
  public IServeur login(String user,String pass) throws RemoteException {
    if(passMap.containsKey(user)) {
      // l'utilisateur existe
      if(passMap.get(user).equals(pass)) {
	// le mot de passe est le bon
	// log serveur
	System.out.println("Connexion de "+user);
	return new Serveur(display,user);
      }
    }
    throw new RemoteException("Connexion refuse");
  }
  public static void main(String[] args) throws Exception {
    // dmarrage du serveur
    ServeurLogin serveur = new ServeurLogin();
    // ajout d'utilisateurs pour les tests
    serveur.addUser("toto","1234");
    serveur.addUser("titi","1234");
    serveur.addUser("bidule","1234");
    Naming.rebind("ServeurLogin",serveur);
    System.out.println("Serveur dmarr");
  }
}
