import java.rmi.*;
public class AppelAsynchrone extends Thread {
  private IServeur serveur;
  private boolean done;
  private String result;
  private String param;
  public AppelAsynchrone(IServeur serveur,String param) {
    this.serveur = serveur;
    done = false;
    this.param = param;
  }
  public void run() {
    try {
      result = serveur.echo(param);
    } catch(RemoteException e) {
      System.out.println(e);
    }
    synchronized(this) {
      done = true;
      notify();
    }
  }
  public synchronized boolean isDone() {
    return done;
  }
  public synchronized String getResult() {
    while(!done) {
      try {
	wait();
      } catch (InterruptedException e) {
      }
    }
    return result;
  }
}
