import java.rmi.*;
import java.rmi.server.*;
public class DoSomethingResult extends UnicastRemoteObject 
  implements IDoSomethingResult,Runnable {
  private String param;
  private String result;
  private boolean done;
  public DoSomethingResult(String param) throws RemoteException {
    super();
    this.param = param;
    done = false;
  }
  public boolean isDone() throws RemoteException {
    System.out.println("isDone");
    return done;
  }
  public String getResult() throws RemoteException {
    System.out.println("getResult");
    return result;
  }
  public void run() {
    // le calcul proprement dit
    try {
      Thread.sleep(5000);
    } catch(InterruptedException e) {
    }
    result = "["+param+"]";
    done = true;
  }
}
